// generated from rosidl_generator_c/resource/idl__description.c.em
// with input from nao_lola_sensor_msgs:msg/FSR.idl
// generated code does not contain a copyright notice

#include "nao_lola_sensor_msgs/msg/detail/fsr__functions.h"

ROSIDL_GENERATOR_C_PUBLIC_nao_lola_sensor_msgs
const rosidl_type_hash_t *
nao_lola_sensor_msgs__msg__FSR__get_type_hash(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static rosidl_type_hash_t hash = {1, {
      0x11, 0x93, 0x39, 0x30, 0x68, 0x01, 0x24, 0xe0,
      0x7c, 0x15, 0x8c, 0x2b, 0xc6, 0x96, 0x9f, 0xfe,
      0xe9, 0xa7, 0x44, 0x7a, 0x50, 0xfc, 0x45, 0x11,
      0x2c, 0xf6, 0x81, 0xa2, 0x09, 0x93, 0x8d, 0xc7,
    }};
  return &hash;
}

#include <assert.h>
#include <string.h>

// Include directives for referenced types

// Hashes for external referenced types
#ifndef NDEBUG
#endif

static char nao_lola_sensor_msgs__msg__FSR__TYPE_NAME[] = "nao_lola_sensor_msgs/msg/FSR";

// Define type names, field names, and default values
static char nao_lola_sensor_msgs__msg__FSR__FIELD_NAME__l_foot_front_left[] = "l_foot_front_left";
static char nao_lola_sensor_msgs__msg__FSR__FIELD_NAME__l_foot_front_right[] = "l_foot_front_right";
static char nao_lola_sensor_msgs__msg__FSR__FIELD_NAME__l_foot_back_left[] = "l_foot_back_left";
static char nao_lola_sensor_msgs__msg__FSR__FIELD_NAME__l_foot_back_right[] = "l_foot_back_right";
static char nao_lola_sensor_msgs__msg__FSR__FIELD_NAME__r_foot_front_left[] = "r_foot_front_left";
static char nao_lola_sensor_msgs__msg__FSR__FIELD_NAME__r_foot_front_right[] = "r_foot_front_right";
static char nao_lola_sensor_msgs__msg__FSR__FIELD_NAME__r_foot_back_left[] = "r_foot_back_left";
static char nao_lola_sensor_msgs__msg__FSR__FIELD_NAME__r_foot_back_right[] = "r_foot_back_right";

static rosidl_runtime_c__type_description__Field nao_lola_sensor_msgs__msg__FSR__FIELDS[] = {
  {
    {nao_lola_sensor_msgs__msg__FSR__FIELD_NAME__l_foot_front_left, 17, 17},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_FLOAT,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {nao_lola_sensor_msgs__msg__FSR__FIELD_NAME__l_foot_front_right, 18, 18},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_FLOAT,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {nao_lola_sensor_msgs__msg__FSR__FIELD_NAME__l_foot_back_left, 16, 16},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_FLOAT,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {nao_lola_sensor_msgs__msg__FSR__FIELD_NAME__l_foot_back_right, 17, 17},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_FLOAT,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {nao_lola_sensor_msgs__msg__FSR__FIELD_NAME__r_foot_front_left, 17, 17},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_FLOAT,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {nao_lola_sensor_msgs__msg__FSR__FIELD_NAME__r_foot_front_right, 18, 18},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_FLOAT,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {nao_lola_sensor_msgs__msg__FSR__FIELD_NAME__r_foot_back_left, 16, 16},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_FLOAT,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {nao_lola_sensor_msgs__msg__FSR__FIELD_NAME__r_foot_back_right, 17, 17},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_FLOAT,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
};

const rosidl_runtime_c__type_description__TypeDescription *
nao_lola_sensor_msgs__msg__FSR__get_type_description(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static bool constructed = false;
  static const rosidl_runtime_c__type_description__TypeDescription description = {
    {
      {nao_lola_sensor_msgs__msg__FSR__TYPE_NAME, 28, 28},
      {nao_lola_sensor_msgs__msg__FSR__FIELDS, 8, 8},
    },
    {NULL, 0, 0},
  };
  if (!constructed) {
    constructed = true;
  }
  return &description;
}

static char toplevel_type_raw_source[] =
  "# FSR stands for Force Sensitive Resistors.\n"
  "# These sensors measure a resistance change according to the pressure applied.\n"
  "# Units used are in Newtons (equivalently kg/m/s^2)\n"
  "# http://doc.aldebaran.com/2-1/family/robots/fsr_robot.html\n"
  "\n"
  "float32 l_foot_front_left\n"
  "float32 l_foot_front_right\n"
  "float32 l_foot_back_left\n"
  "float32 l_foot_back_right\n"
  "float32 r_foot_front_left\n"
  "float32 r_foot_front_right\n"
  "float32 r_foot_back_left\n"
  "float32 r_foot_back_right";

static char msg_encoding[] = "msg";

// Define all individual source functions

const rosidl_runtime_c__type_description__TypeSource *
nao_lola_sensor_msgs__msg__FSR__get_individual_type_description_source(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static const rosidl_runtime_c__type_description__TypeSource source = {
    {nao_lola_sensor_msgs__msg__FSR__TYPE_NAME, 28, 28},
    {msg_encoding, 3, 3},
    {toplevel_type_raw_source, 443, 443},
  };
  return &source;
}

const rosidl_runtime_c__type_description__TypeSource__Sequence *
nao_lola_sensor_msgs__msg__FSR__get_type_description_sources(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static rosidl_runtime_c__type_description__TypeSource sources[1];
  static const rosidl_runtime_c__type_description__TypeSource__Sequence source_sequence = {sources, 1, 1};
  static bool constructed = false;
  if (!constructed) {
    sources[0] = *nao_lola_sensor_msgs__msg__FSR__get_individual_type_description_source(NULL),
    constructed = true;
  }
  return &source_sequence;
}
